Bug 805475 - SELinux is preventing totem-plugin-vi from 'create' accesses on the file registry.i386.bin.tmpAJQ7AW.
SELinux is preventing totem-plugin-vi from 'create' accesses on the file regi...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:85b183de952be88e0481ab968bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-21 08:38 EDT by marcos de brito carvalho
Modified: 2012-10-17 05:02 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 05:02:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marcos de brito carvalho 2012-03-21 08:38:32 EDT
libreport version: 2.0.8
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.0-1.fc17.i686
reason:         SELinux is preventing totem-plugin-vi from 'create' accesses on the file registry.i386.bin.tmpAJQ7AW.
time:           Wed 21 Mar 2012 09:37:55 AM BRT

description:
:SELinux is preventing totem-plugin-vi from 'create' accesses on the file registry.i386.bin.tmpAJQ7AW.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that totem-plugin-vi should be allowed create access on the registry.i386.bin.tmpAJQ7AW file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep totem-plugin-vi /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
:                              0.c1023
:Target Context                unconfined_u:object_r:user_home_t:s0
:Target Objects                registry.i386.bin.tmpAJQ7AW [ file ]
:Source                        totem-plugin-vi
:Source Path                   totem-plugin-vi
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-104.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.0-1.fc17.i686 #1 SMP Mon Mar 19
:                              03:19:22 UTC 2012 i686 i686
:Alert Count                   53
:First Seen                    Tue 20 Mar 2012 10:53:04 PM BRT
:Last Seen                     Wed 21 Mar 2012 09:33:09 AM BRT
:Local ID                      54dd4abd-462c-487f-a0d6-94bcd5cf06ba
:
:Raw Audit Messages
:type=AVC msg=audit(1332333189.532:72): avc:  denied  { create } for  pid=1456 comm="totem-plugin-vi" name="registry.i386.bin.tmpAJQ7AW" scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file
:
:
:Hash: totem-plugin-vi,mozilla_plugin_t,user_home_t,file,create
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-03-21 09:19:08 EDT
Could you check if you have any labeling issues in your homedir?

restorecon -R -v ~/
Comment 5 Miroslav Grepl 2012-10-17 05:02:36 EDT
We added some fixes. Please reopen if you still get this issue. Thank you.

Note You need to log in before you can comment on or make changes to this bug.